> ## Documentation Index
> Fetch the complete documentation index at: https://velt-mintlify-e6426361.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update organizations (v1)

> Update metadata for one or more existing Velt organizations using the v1 REST API. Modify org names, custom fields, and other tenant properties.

Use this API to update existing organization(s) metadata.

# Endpoint

`POST https://api.velt.dev/v1/organizations/update`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

#### Params

<ParamField body="data" type="object" required>
  <Expandable title="properties">
    <ParamField body="organizations" type="Organization[]" required>
      Array of Organization objects
    </ParamField>
  </Expandable>
</ParamField>

## **Example Requests**

```JSON theme={null}
{
  "data": {
    "organizations": [
      {
        "organizationId": "yourOrganizationId",
        "organizationName": "Your Updated Organization Name"
      }
    ]
  }
}
```

# Response

#### Success Response

```JSON theme={null}
{
  "result": {
    "status": "success",
    "message": "Organization(s) updated successfully.",
    "data": {
      "yourOrganizationId": {
        "success": true,
        "id": "02cf91e5e7a5f4c0b600c84cf248384b",
        "message": "Updated Successfully"
      }
    }
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "status": "success",
      "message": "Organization(s) updated successfully.",
      "data": {
        "yourOrganizationId": {
          "success": true,
          "id": "02cf91e5e7a5f4c0b600c84cf248384b",
          "message": "Updated Successfully"
        }
      }
    }
  }
  ```
</ResponseExample>
